org.eclipse.net4j.signal.heartbeat

## Class HeartBeatProtocol.Server.TimerInjector

- java.lang.Object
- - org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server.TimerInjector

- All Implemented Interfaces:
    IElementProcessor
  Enclosing class:
    HeartBeatProtocol.Server

      public static class HeartBeatProtocol.Server.TimerInjector
      extends java.lang.Object
      implements IElementProcessor

  An `element post processor` that injects a `timer` into server-side `heart beat protocol` instances.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimerInjector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Timer` | `getTimer(IManagedContainer container)`
    `java.lang.Object` | `process(IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerInjector

          public TimerInjector()

  - ### Method Detail

    - #### process

          public java.lang.Object process(IManagedContainer container,
                                          java.lang.String productGroup,
                                          java.lang.String factoryType,
                                          java.lang.String description,
                                          java.lang.Object element)

      Specified by:
        `process` in interface `IElementProcessor`

    - #### getTimer

          protected java.util.Timer getTimer(IManagedContainer container)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html